---
title: "Week 2:ComputerAidedDesign"
date: 2024-01-07
type: page
include_toc: true

images: 
- images/w2/OpenScad_Togo_P.png
---


## 3D Design



### OnShape for ToGO prototyping
In the quest to create an engaging and  prototype for the ToGO , I turned to Onshape for its  CAD capabilities. I tried onshape's features like Sketch, Extrude, Fillet, Chamfer, and Assembly, I was able to bring the ToGO cubes to life with precision and creativity. With Onshape's Extrude function, the two-dimensional sketches transformed into three-dimensional reality. The Fillet and Chamfer tools added the necessary aesthetics and ergonomics to the cubes. Onshape's Assembly feature was instrumental in visualizing how the individual cubes could be arranged on the board. 



![Onshape](images/w2/onshape1.jpg)
![Onshape](images/w2/onshape2.jpg)
[my ToGo Prototype Onshape File](https://cad.onshape.com/documents/45a7a8c793f68a54fc2fff96/w/8e673d1e19cd8b8e1e1318e1/e/f7808bd0b1ab5b01dae6ef0b?renderMode=0&uiState=65be7f312edfed3ca29fc300)

[Quick look ToGo onShape]

<video width="320" height="240" controls>
  <source src="images/w2/video/o1.mp4" type="video/mp4">
  Tarayıcınız video etiketini desteklemiyor.
</video>


### OpenScad Play with code feel parametric :ToGo 🎲 

#### What I learn OpenScad
I made a grid for the ToGo game using OpenSCAD and got to see it work. Playing with the numbers for sizes, like changing between 5 and 10 for different parts, was really cool. Seeing how changing these numbers changed the design was interesting. It showed me how useful parametric design is because you can try different looks very fast. This was a cool part of my project.

[Quick look ToGo]

<video width="320" height="240" controls>
  <source src="images/w2/video/scad4.mp4" type="video/mp4">
  Tarayıcınız video etiketini desteklemiyor.
</video>

[Open Scad ToGO screens examples]
![Sedat](images/w2/OpenScad_Togo_P.png)
![Sedat](images/w2/Op_2d.png)
![Sedat](images/w2/Op_5X5.png)
![Sedat](images/w2/Op_5X5_2.png)




#### Simple ToGo with OpenScad

```openscad
// Parameters
board_w = 100; // Board Width
board_d = 100; // Board Depth
cube_size = 10; // Cube size

// Draw the Board
module board() {
    difference() {
        cube([board_w, board_d, 1], center=true);
        // Carve out starting and ending points
        translate([-board_w/2, -board_d/2, 0])
            color("blue")
            cube([cube_size, cube_size, 1.2]);
        translate([board_w/2-cube_size, board_d/2-cube_size, 0])
            color("green")
            cube([cube_size, cube_size, 1.2]);
    }
}

// Draw Cubes for Path
module cube_path() {
    cube_toGo(2, 5);
    cube_toGo(4, 2);
    cube_toGo(2, 7);
    cube_toGo(7, 2);
}

// Main Function
module main() {
    board();
    cube_path();
}

// Start
main();
```


### Learning from Mistakes: The Cube Naming Issue

I ran into a big problem when my design didn't work in OpenSCAD. I used the name cube for my shapes, but OpenSCAD already uses cube for its own shapes. This caused a mix-up, and my design wouldn't show up right.

I tried many times to fix it but couldn't figure out what was wrong. Then, I realized that cube was a special word in OpenSCAD that I shouldn't use for my own names. I changed my cube's name to kup, and suddenly, everything worked!
What I Learned

This mistake taught me two important things:

Use Unique Names: Don't use common or special words for naming things in code. It avoids mix-ups.
Check for Simple Mistakes: Sometimes, big problems have simple solutions, like changing a name.

Now, I know to be careful with names in my projects. This mistake helped me learn and get better.

### Blender accepted the challenge
Blender was a bit challenging to get used to at first. I'm not an artist, but I tried my hand at animation. I experimented with movement and design options. It was a bit difficult to navigate through the menus. Patience is key when working with Blender. 

What did I with blender .)
![Blender](images/w2/b1.jpg)
![Blender](images/w2/b2.jpg)
![Blender](images/w2/b3.jpg)
![Blender](images/w2/b4.jpg)
![Blender](images/w2/b5.jpg)
![Blender](images/w2/b6.jpg)
![Blender](images/w2/b7.jpg)
![Blender](images/w2/b8.jpg)
![Blender](images/w2/b9.jpg)

<video width="320" height="240" controls>
  <source src="images/w2/video/blender_w.mp4" type="video/mp4">
  Tarayıcınız video etiketini desteklemiyor.
</video>

### Paremetric design save over over again!!!
Make sketch and use the parametric



## VR:SimLab touch, see, feel... 🔮
SimLab VR was a completely new experience for me. Exploring the VR environment was exciting. It helped me showcase my project effectively. Wearing the goggles and experiencing VR enhanced the technical aspect of the Togo project.

![Sedat](images/w2/sedat_vr1.jpg)
![Sedat](images/w2/vr_p2.png)
![Sedat](images/w2/vr_p4.png)

<video width="320" height="240" controls>
  <source src="images/w2/video/vr_sz.mp4" type="video/mp4">
  Tarayıcınız video etiketini desteklemiyor.
</video>

<video width="320" height="240" controls>
  <source src="images/w2/video/vr1.mp4" type="video/mp4">
  Tarayıcınız video etiketini desteklemiyor.
</video>

[VR Simlab](https://www.simlab-soft.com/3d-products/vr-studio.aspx?utm_source=Registration_VRStudioFree&utm_medium=email)

## AI

 I experimented with DALL·E for my ToGo project, trying out different prompts. The results weren't exactly as I wanted, but it was an enjoyable experience. Before I knew it, I had spent over 2 hours on it!

 Promts:

- A Child and a Parent Playing the ToGo Board Game
- Minimalist Board Game Setup
- Digital Simulation of the ToGo Board Game
- Conceptual Design of the ToGo Game Box Set
- Minimalist and Modern Packaging Design
- Colorful and Inviting Toy Box Design
- Child Engaging with the Game
- "Find Your Path" and incorporates an animal inspired by Seymour Papert's turtle concept—such as a butterfly or an ant—illustrating the journey   of finding its way on a simplified game board.
- The ToGo logo and "Find Your Path" slogan would be prominently displayed at the top or bottom in a contrasting color for impact.
- Dynamic angles to focus on the action of placing the cube, with the light from the completed path drawing the eye. The game's slogan, "Find Your Path," would be integrated into the path's glow.
- A close-up of a hand (child's or adult's) placing the final cube on the ToGo board, completing a challenging path. The completed path would shine brightly, with incomplete paths in the background less illuminated.
- Interactive elements like touchpoints or QR codes placed along a path on the banner, inviting viewers to engage directly with the banner to learn more about the ToGo game.
- A sequence of illustrated panels showing a character (a child or an imaginative animal) solving problems using the ToGo cubes, with each panel depicting a different part of the story or challenge.
- To envision the future of educational technology and games like ToGo, emphasizing innovation and the potential to transform learning environments.
- Features an animal character, such as a butterfly, representing the concept of navigating obstacles, tying in the educational aspect of learning through exploration.



![Dalle](images/w2/d6.jpg)
![Dalle](images/w2/d1.jpg)
![Sedat](images/w2/d8.jpg)
![Sedat](images/w2/d2.jpg)
![Sedat](images/w2/d3.jpg)
![Sedat](images/w2/d4.jpg)
![Sedat](images/w2/d5.jpg)
![Sedat](images/w2/d7.jpg)
![Sedat](images/w2/d9.jpg)
![Sedat](images/w2/d10.jpg)
![Sedat](images/w2/d11.jpg)


