---
title: "Week 3: Computer Controlled Cutting"
type: page
include_toc: true
date: 2024-02-12
images: 
- images/w3/laser_1.jpg
---


This week at Fab Academy was all about mastering the precision of computer-controlled cutting. I dived into the realm of parametric designs and explored the capabilities of different cutting tools, from the meticulous laser cutter at our local Fab Lab to the versatile vinyl cutters.

## Group Assigment Page
This week’s [group assignment](https://gitlab.fabcloud.org/academany/fabacademy/2024/labs/aalto/group-assignments/computer-controlled-cutting) covers  kerf values, power, speed, frequency through various tests with Epilog. Burak and Sara did it in the Aalto and I tried remote.

## Laser Cutting: Mastery through Press-Fit and Kerf Testing
I watched some videos, What did I use Epilog ,cuttlexyz, F360, important kerf
what did I learn bigger kerf = tihter fit
Default kerf value is = 0.18 mmw3
I did Engrave dept test
I found to correct score
I learn more thab one measurement 
Parametric Prototyping with Cuttle.xyz
In the world of digital fabrication, flexibility is key. Utilizing Cuttle.xyz, I crafted parametric designs that adapt seamlessly to changes. The JavaScript environment allowed for dynamic modifications, showcasing the power of programming in design.

###Parametric Design Iterations

![Alt Text](images/w3/cuttle_1.jpg "Fab Template")
![Alt Text](images/w3/cuttle_3.jpg "Fab Template")
![Alt Text](images/w3/parametric_all.jpg "Fab Template")
![Alt Text](images/w3/parametric1.jpg "Fab Template")

Fusion 360: A Deeper Dive into Parametrics

Fusion 360 brought my parametric models to life with its robust features. The depth of control over each element of the design process illuminated the true potential of parametric CAD tools.

![Alt Text](images/w3/f360_p1.jpg "Fab Template")

Epilog M-40 75W: Precision in Action
In my laser cutting tests using the Epilog M40 75W, I observed significant differences between the software capabilities on Mac and Windows. The Windows version of the Epilog software offers a unique feature that allows for the assignment of different colors to different parts of the design. This enables the user to apply varied speed and power settings within the same job, optimizing the cutting process based on the material and design details. Regrettably, this advanced functionality is not available in the Mac software, limiting the level of control and customization possible for laser cutting projects.

The Epilog M-40 75W laser cutter was a beast of precision. It engraved, cut, and marked with such finesse that it felt like painting with light. Each kerf measured and each line engraved told a story of accuracy.

![Alt Text](images/w3/epilog_set.jpg "Fab Template")

Fail when I tried the different power - speed - frequency
![Alt Text](images/w3/fail_laser.jpg "Fab Template")
Clean the lens is important 🧹
![Alt Text](images/w3/cleaning.jpg "Fab Template")

### Epilog M40 75W Laser Cutter Settings for 3mm MDF

| Setting          | Recommended Values |
|------------------|--------------------|
| Power (%)        | 65% - 75%          |
| Speed (%)        | 20% - 30%          |
| Frequency (Hz)   | 500 Hz - 1000 Hz   |

**Notes:**
Yes!! I tried for mdf power 70 , Speed 20 , Frq 50 is best for this project.
- **Power (%):** Increasing power -> easier cutting  high -> can lead to burning.
- **Speed (%):** Lower speeds -> deeper cuts,  too slow -> can burning.
- **Frequency (Hz):**  Higher frequencies -> cleaner cuts.



When cutting 3 mm and 3.3 mm thick MDF sheets with a laser, I sometimes had to pass over the same line twice to improve the cut quality; however, I did not encounter this issue when using Kraftplex, indicating that the performance of materials during the cutting process can vary depending on their properties.

Kerf...Let's measures
![Alt Text](images/w3/kerf.jpg "Fab Template")
![Alt Text](images/w3/kerf2.jpeg "Fab Template")
![Alt Text](images/w3/kerf3.jpg "Fab Template")

Project: Welcome to Space!!! .)
![Alt Text](images/w3/laser_1.jpg "Fab Template")

The culmination of this week's work was a series of laser-cut projects. Each piece was a step in my learning journey, demonstrating both successful outcomes and valuable learning moments from the failures. I spent the most time on press-fit project and kerf testing.


![Alt Text](images/w3/project_all.jpeg "Fab Template")
![Alt Text](images/w3/project_laser.jpeg "Fab Template")
![Alt Text](images/w3/project_laser2.jpeg "Fab Template")
![Alt Text](images/w3/sedat_laser.jpeg "Fab Template")


## Vinyl Cutting: Crafting Words to Last

Vinyl cutting was a dance of design and material. My creations with the Cricut machines - "Make, Fail, Learn, Repeat" - are now emblems of my learning journey. These stickers aren't just decorations; they're badges of honor. In my vinyl cutting trials, I tested both the Cricut 2 and Cricut 3 machines, finding that while the Cricut 2 requires a mat for adhering the material during the cutting process, the Cricut 3 allows for direct material use without the need for a mat. This distinction highlights the varying requirements and capabilities of each machine, affecting the preparation and overall workflow of vinyl cutting projects.

![Alt Text](images/w3/make.jpg "Fab Template")

The Technovation Challenge: Stickers 

The stickers for Technovation weren't just for show. They carried the spirit of innovation and collaboration, representing the essence of our weekend challenge.
![Alt Text](images/w3/technovation.jpg "Fab Template")
![Alt Text](images/w3/sedat_vinl.jpg "Fab Template")

Fail for cleaing time.
![Alt Text](images/w3/fail_vinl.jpg "Fab Template")
[Source Files Parametric DXF ](https://drive.google.com/drive/folders/1V-hmrOJcWRWaYDFjMtDOHZW65Dxi5F3z?usp=sharing)




