---
title: "Week 4: Electronics Production"
type: page
include_toc: true
date: 2024-02-18
images: 
  - images/w4/p14.jpg
---

This week at Fab Academy, we focused on the precision of electronics production, particularly utilizing the Roland MonoFab SRM-20 for PCB milling, soldering, and understanding PCB design.

## Group Assignment Page

In our [group assignment](https://gitlab.fabcloud.org/academany/fabacademy/2024/labs/aalto/group-assignments/electronics-production/-/tree/main), we explored the effective use of the Roland MonoFab SRM-20 and documented key considerations.

![Alt Text](images/w4/srm23.jpg)

This week was incredibly fun. Adjusting the SRM-20 and achieving a smooth PCB print required significant effort. I discovered a 0.4mm tilt in the plate using calipers, but eventually, I succeeded in printing correctly after numerous tests. I attempted Adrian's Quentorres and Krisjanis's swd+uard adapter xiao rp2040 designs, producing at least three of each before finally getting it right.

I conducted experiments on both Linux and Windows operating systems using Arduino and necessary libraries.

I added 24 and .) extensions to the circuit in Kicad.

My process involved reviewing and editing in Kicad, then creating the PCB with the SRM-20. I followed Kris's suggested settings of 0.1mm and 1mm for 0.3 and 0.8 speeds, respectively, for re-printing and comparison.

Extensive soldering was performed, followed by measurements with a multimeter. I used desoldering twice to remove rp2040 from the PCBs. As Adrian suggested, I placed tape under the RP2040 to prevent short circuits. After ensuring correct soldering throughout the circuit, I completed debugging with Arduino and LEDs.

It was truly a week of Make, Fail, Learn, Repeat.

[Welcome to Quantorres]

<video width="320" height="240" controls>
  <source src="images/w4/1b.mp4" type="video/mp4">
  Your browser does not support the video tag.
</video>

![Alt Text](images/w4/srm26.jpg)
![Alt Text](images/w4/p20.jpg)
![Alt Text](images/w4/p6.jpg)
After more than 10 attempts at PCB.

![Alt Text](images/w4/p11.jpg)
Tools I used during all soldering processes: heat gun, soldering iron, air blower (critical for soldering), desoldering machine, solder, and solder paste.

![Alt Text](images/w4/pcblist.jpg)
PCB component list.
![Alt Text](images/w4/p21.jpg)
For small components, soldering one side first and then heating the other side before soldering makes the process easier.
![Alt Text](images/w4/p10.jpg)
![Alt Text](images/w4/p8.jpg)

![Alt Text](images/w4/p13.jpg)
Using a multimeter for debugging is crucial.

![Alt Text](images/w4/p12.jpg)
Using a magnifying glass, I can zoom up to 16X.

## Fail
![Alt Text](images/w4/p9a.jpg)
![Alt Text](images/w4/p14.jpg)

## Conclusion
I learned the importance of checking the +/- direction on SMD 1206 LEDs before soldering. Neglecting this cost me 5 LEDs. After adhering the plate for SRM PCB milling, measuring each side with calipers is crucial. Ensure your .png file is not below 1000 dpi to avoid issues with SRM-20's XY settings. Move quickly when using a heat gun to prevent damaging the PCB underneath. Paying attention to prevent short circuits on the rp2040 is vital; never forget the tape underneath.

![Alt Text](images/w4/p7.jpg)
