---
title: "Week 5: 3D Scanning and Printing"
type: page
include_toc: true
date: 2024-02-25
images: 
- images/w5/sy_scan.jpeg
---

This week, I delved into the workings of 3D Scanning and tested my designs through 3D Printing. I specifically observed the printing results for designs with angles beyond 45 degrees. When it comes to 3D scanning, it's crucial to be aware of certain tips and tricks.
I conducted tests in three stages, experimenting with different filaments, and the 3D printing processes on Creality and Bamboo printers. I also gained practical insights into troubleshooting and repairing printers during printing failures.

## Group Assignment Page
This week’s [group assignment](https://gitlab.fabcloud.org/academany/fabacademy/2024/labs/aalto/group-assignments/3d-scanning-and-printing)

## Project

I wanted to do something different. I used features like Revolve, Shell, Split, and C-Pattern in Fusion 360 to create a vase.

![Alt Text](images/w5/c1.jpg "Fab Template")

<video width="320" height="240" controls>
  <source src="images/w5/c1.mp4" type="video/mp4">
  Your browser does not support the video tag.
</video>

F360

![Alt Text](images/w5/c2.jpg "Fab Template")

![Alt Text](images/w5/c4.jpg "Fab Template")

## 3D Scan

In this week's scanning work, I used the Einstar Shining 3D Scanner. The most critical features I observed in my experience were:
Lighting and Background: I noticed how crucial it is to adjust the surrounding lighting. Without adequate lighting, the quality of the scan can vary significantly.

Surface Preparation: I realized that the 3D Scanner I used does not scan metal objects. It's very important for the material to be matte.

Scanning Angle and Distance: When scanning an object, especially during my scan at the ideation lab, my students helped me. We tracked the object on the computer screen in red and green to ensure the correct angle. Green indicates you've captured the correct angle. Scanning too quickly can cause slippage and failure. Ideally, it's best to pass over the object from as many different angles as possible.

The scanning process needs to be divided into two: 1. Scanning with the 3D Scanner and completing the processing. 2. Working on the file generated after the scan.

![Alt Text](images/w5/3dscan6.jpg "Fab Template")
![Alt Text](images/w5/3dscan10.jpg "Fab Template")
![Alt Text](images/w5/3dscan14.jpg "Fab Template")

How did we do it:
Preparation before Scanning. If you need to scan a large object, you need a mechanism to rotate the object and to move the 3D Scanner at the correct angles.
![Alt Text](images/w5/3dscan3.jpg "Fab Template")

Setting up is necessary. (One of my students became the rotation mechanism, while another helped with scanning at specific angles.)

![Alt Text](images/w5/3dscan4.jpg "Fab Template")
Calibration process:
4 Steps: Step 1: Place the calibration board horizontally, with its front site, Step 2: Place the scanner in the same position as shown in the software. Step 3: Press the scan button on the scanner to start calibration. Step 4: Move the device slowly and adjust the distance between the scanner and the calibration board according to the height indicating box. Done.)

Scan slowly or else you make mistakes.
![Alt Text](images/w5/scana3.jpg "Fab Template")
![Alt Text](images/w5/scana5.jpg "Fab Template")
![Alt Text](images/w5/3dscan11.jpg "Fab Template")

Pay attention to mesh optimization. Especially, as shown in the picture, when I moved quickly during the scan, it appeared as two separate scans. I had to cancel and redo it.
![Alt Text](images/w5/3dscan9.jpg "Fab Template")

Editing result
![Alt Text](images/w5/3dscan13.jpg "Fab Template")

The result of a 7-hour print on the Creality K1. The scanned file resulted in a 230MB .STL file.
![Alt Text](images/w5/3dscan5.jpg "Fab Template")

I produced the scan in 7 hours on the Creality K1 printer.
The outcome was a successful body scan. In detailed scanning, learning not to move too quickly and capturing the right angle is crucial. Using the Shining 3D program for scanning Mesh Editing is necessary. Here, especially with Manual Hole Filling, you can carefully close the errors.

## 3D Design

I printed the works I did with F360 and OpenScad. I experimented with different filaments, trying both TPU and PLA filaments. I tested two different printers, the Creality K1 and Bamboo X1, and attempted multi-colored printing. In the printing process, I compared infill patterns, especially Grid, Honeycomb, Cubic.

I tried printing 5 different objects. Colored cubes, a colored Mobius Strip, a surfboard, an artistic vase experiment, and a parametric design attempt with OpenScad.

### Bambu Studio Setting
I conducted color printing trials using Bambu Version 1.8.2. Here, I performed the print using the .3mf format. For the print on the Bambu X1, I used a 0.4 nozzle.

[](images/w5/3d22.jpg "Fab Template")

![Alt Text](images/w5/bambu1.jpg "Fab Template")
![Alt Text](images/w5/bambu2.jpg "Fab Template")
![Alt Text](images/w5/3d2.jpg "Fab Template")
The printing of the colored cubes took 17 hours.

## Surfing Time
![Alt Text](images/w5/3d6.jpg "Fab Template")
![Alt Text](images/w5/3d1.jpg "Fab Template")

Surface
![Alt Text](images/w5/3d23.jpg "Fab Template")
I had the opportunity to observe how the surfaces turned out by conducting infill experiments.

Mobius Strip
![open scad](images/w5/3d27.jpg "Fab Template")
In my first attempt, the base wasn't sufficiently adhesive, resulting in an unsuccessful print after a certain section. I was able to achieve a result in my second attempt.

![Alt Text](images/w5/3d19.jpg "Fab Template")

#### Open Scad
I created a parametric 3D model using OpenSCAD. I wanted to work with polygons and create a parametric example.
![Alt Text](images/w5/open.jpg "OpenScad")
![Alt Text](images/w5/3d_cod.jpg "OpenScad")

## Filament TPU vs. 
I conducted a flex test with the TPU filament sample.

![Alt Text](images/w5/3d5.jpg "Fab Template")
![Alt Text](images/w5/3d13.jpg "Fab Template")

### 3D Printer Fail - "BLOB"
At the ideation lab, one of the printers, Creality K1, had PLA filament melted around the Ceramic Heating block. I requested the nozzle manually and removed it. While removing it, the Ceramic kit was damaged and had to be replaced.
During a print, filament jamming resulted in the formation of a large blob. The cost of removal. I had to replace the Ceramic Heating Block Kit.
![Alt Text](images/w5/3d_f1.jpg "Fab Template")
![Alt Text](images/w5/fail2.jpg "Fab Template")

Printer

![Alt Text](images/w5/3d18.jpg "Fab Template")

## Tools
3D scanner: Einstar Shining 3D Scanner
Point Distance: 0.1 mm ~ 3 mm
Working Distance: Effective Working Distance: 160mm-1400mm; Optimal Working Distance: 400mm
Output Formats: OBJ; STL; PLY; P3; 3MF
Light Source: Infrared VCSEL structured light

3D scan software: I used EXStar_v1.0.6.0 version. (Only PC support.)
3D Slice
Bamboo
Creality K1
Zaxe X2

[Source Files 3D Scan and Printing](https://drive.google.com/drive/folders/1V-hmrOJcWRWaYDFjMtDOHZW65Dxi5F3z?usp=sharing)
