---
title: 'Final Project: ToGO'
type: page
include_toc: true
---

## Sketch and Idea

![Sedat](images/final/research/ToGo_2.jpeg)

### Introduction

**ToGO: Find Your Path** is an innovative and interactive educational tool aimed at teaching algorithmic thinking and problem-solving to children and young learners. This interactive game board provides a tangible experience where users solve dynamic path-finding puzzles by placing physical cubes on the board—a fundamental introduction to algorithmic concepts.




### Project Stages

The project consists of three stages:

1. **Physical Board:** In the first stage, users interact with the physical board by placing cubes on it. Here, they experience fundamental algorithms like the shortest path, enhancing their problem-solving and algorithmic thinking skills.

2. **Web-Based Simulation:** In the second stage, the experience is extended through a web interface. Users can monitor and control the game board in real-time via the web application. This stage introduces more advanced algorithms and data structures.

3. **Programming Interface:** The third and final stage empowers users to program and test their path-finding algorithms via the web interface. This allows them to explore, learn through trial and error, and unleash their creativity while developing their solutions.

Each stage adds flexibility and educational value to the project. Even if time or resources are limited, the first stage alone provides a strong foundation, making it suitable as a Fab Academy final project.

### Design Recommendations and Features

- **Board Dimensions:** A 50cm x 50cm board offers ample gameplay area while remaining portable.
- **Cube Dimensions:** Cubes measuring 4cm x 4cm are ideal for easy manipulation by both children and adults.
- **Colors:** Use vivid and high-contrast colors (e.g., blue and green for entry/exit points, yellow for the path) to facilitate visual distinction and enhance the user experience.
- **Materials:** Select durable and eco-friendly materials, such as lightweight but sturdy fiberboard for the board and wood or recyclable plastic for the cubes.

**Color Palette:**

Entry/Exit Points: ![](https://via.placeholder.com/15/0000FF/000000?text=+) Blue and ![](https://via.placeholder.com/15/008000/000000?text=+) Green
Path: ![](https://via.placeholder.com/15/FFFF00/000000?text=+) Yellow



### First Prototype

I have developed the initial prototype of the ToGO board using Swift Playground. Here's a screenshot of the prototype in action:

![Prototype Screenshot](images/final/research/f1.png)
![Prototype Screenshot](images/final/research/f2.png)

This prototype serves as the foundation for the physical board, allowing me to test and refine the game mechanics and algorithms.

## Implementation


## Research
[Robot Garden](https://news.mit.edu/2015/can-led-robot-garden-make-coding-more-accessible-0218 "Robot garden") project - algorithm simulation & visualization
![Sedat](images/final/research/final_bloom_mit.png)

[Blinks](https://move38.com/pages/astro)

Blinks puzzle gameplay demonstration
![Blinks](images/final/research/blinks.png)


## Motivation

### Motivation

I'm passionate about this project because I've experienced firsthand how crucial algorithms are. While writing an [introductory AI book](https://www.amazon.com.tr/Yapay-Zekaya-Giri%C5%9F-Cem-Say/dp/6057224906)  for high school students, I realized the vital role that algorithms like BFS (Breadth-First Search) and DFS (Depth-First Search) play in AI and problem-solving.

My love for these algorithms, coupled with my interest in Human-Computer Interaction (HCI) tangible studies, has inspired me to create the ToGO board. This board isn't just a learning tool; it's a way to make AI and algorithms accessible and engaging for students.

By turning these complex concepts into a game, my aim is to help students understand AI and algorithms in an enjoyable and educational way. This project is my contribution to making AI more approachable and to inspire the next generation of problem solvers.

